# BaseLocker Class Reference
[Different locking methods implementation]

Inheritance diagram for BaseLocker:
[legend]

List of all members.

## Public Member Functions

| get ($key)
| acquire lock
| free ($key)
| release lock
| drop ($key)
| completely remove lock
| clean ()
| drop all acquired/released locks

## Protected Attributes

| $pool = array()

## Detailed Description

Definition at line 15 of file BaseLocker.class.php.

## Member Function Documentation

BaseLocker::clean | ( |  | ) |

drop all acquired/released locks

Reimplemented in eAcceleratorLocker.

Definition at line 29 of file BaseLocker.class.php.

References drop().

Here is the call graph for this function:

BaseLocker::drop | ( | $ | key | ) | `[abstract]`

completely remove lock

Reimplemented in DirectoryLocker, eAcceleratorLocker, FileLocker, and SystemFiveLocker.

Referenced by clean().

BaseLocker::free | ( | $ | key | ) | `[abstract]`

release lock

Reimplemented in DirectoryLocker, eAcceleratorLocker, FileLocker, and SystemFiveLocker.

BaseLocker::get | ( | $ | key | ) | `[abstract]`

acquire lock

Reimplemented in DirectoryLocker, eAcceleratorLocker, FileLocker, and SystemFiveLocker.

## Member Data Documentation

BaseLocker::$pool = array()`[protected]`

Definition at line 17 of file BaseLocker.class.php.

The documentation for this class was generated from the following file:

- core/Cache/BaseLocker.class.php